Bug 1416273 (CVE-2017-5378) - CVE-2017-5378 Mozilla: Pointer and frame data leakage of Javascript objects (MFSA 2017-02)
Summary: CVE-2017-5378 Mozilla: Pointer and frame data leakage of Javascript objects (...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5378
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1414732
TreeView+ depends on / blocked
 
Reported: 2017-01-25 06:17 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-02-25 20:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-02 06:24:35 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0190 0 normal SHIPPED_LIVE Critical: firefox security update 2017-02-21 17:18:56 UTC
Red Hat Product Errata RHSA-2017:0238 0 normal SHIPPED_LIVE Important: thunderbird security update 2017-02-02 09:38:23 UTC

Description Huzaifa S. Sidhpurwala 2017-01-25 06:17:38 UTC
Hashed codes of JavaScript objects are shared between pages. This allows for pointer leaks because an object’s address can be discovered through hash codes, and also allows for data leakage of an object’s content using these hash codes.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-02/#CVE-2017-5378

Acknowledgements:

Name: the Mozilla project
Upstream: Jann Horn

Comment 1 errata-xmlrpc 2017-01-25 09:33:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:0190 https://rhn.redhat.com/errata/RHSA-2017-0190.html

Comment 2 errata-xmlrpc 2017-02-02 04:39:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2017:0238 https://rhn.redhat.com/errata/RHSA-2017-0238.html


Note You need to log in before you can comment on or make changes to this bug.